using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Benday.Patterns.Core
{
    public interface IRepository<T> where T : IInt32Identity
    {
        IList<T> GetAll();
        T GetById(int id);
        void Save(T saveThis);
    }
}
