﻿using Benday.SampleApp2.Web.Core;
using Benday.SampleApp2.Web.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace Benday.SampleApp2.Web.Controllers
{
    public class SearchController : ApiController
    {
        public SearchResult Get(
            [FromUri]string first = "",
            [FromUri]string last = "")
        {
            var result = new SearchResult();

            result.SearchByFirstName = first;
            result.SearchByLastName = last;

            result.Results = new PresidentManager().GetList(first, last);

            return result;
        }
    }
}