﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Benday.Patterns.Core
{
    public class PersonValidator : IPersonValidator
    {
        public bool IsValid(IPerson validateThis)
        {
            var isValidReturnValue = true;

            if (validateThis == null)
            {
                isValidReturnValue = false;
            }

            if (String.IsNullOrWhiteSpace(validateThis.EmailAddress) == true)
            {
                isValidReturnValue = false;
            }

            if (String.IsNullOrWhiteSpace(validateThis.FirstName) == true)
            {
                isValidReturnValue = false;
            }

            if (String.IsNullOrWhiteSpace(validateThis.LastName) == true)
            {
                isValidReturnValue = false;
            }

            return isValidReturnValue;
        }
    }
}
