using Benday.SampleApp2.Web.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Xml.Linq;

namespace Benday.SampleApp2.Web.Core
{
    public class PresidentAdapter
    {
        public void Adapt(XElement fromValue, President toValue)
        {
            toValue.EndYear = fromValue.AttributeValueAsInt32("end");
            toValue.StartYear = fromValue.AttributeValueAsInt32("start");
            toValue.Id = fromValue.AttributeValueAsInt32("id");
            toValue.FirstName = fromValue.AttributeValue("firstname");
            toValue.MiddleName = fromValue.AttributeValue("middlename");
            toValue.LastName = fromValue.AttributeValue("lastname");
            toValue.ImageFilename = fromValue.AttributeValue("image-filename");
        }

    }
}
